Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface OndemandReportRecord

All Superinterfaces:
  java.io.Serializable

    public interface OndemandReportRecord

extends java.io.Serializable

Interface `OndemandReportRecord` contains information of a ondemand report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Return the catalog.
`int` | `getCatalogVersionNumber()` Get catalog version number, it indicate which version of the catalog is used.
`long` | `getCompletedTime()` Return the completed time if the report runs over, else return -1.
`long` | `getDuration()` Get the duration of the task
`java.util.List` | `getEngineErrors()` Return Engine errors list if the ondemand Report Running wrongly.
`java.lang.String` | `getErrorMessage()` Return Error Message if the ondemand Report Running wrongly.
`int` | `getFormat()` Get report format
`java.lang.String` | `getOndemandID()` Get the ondemand report record id.
`java.util.Properties` | `getParameters()` Return the parameter properties.
`java.lang.String` | `getQuery()` Return the HTTP query for "To Applet".
`java.lang.String` | `getReportName()` Return the report name.
`ReportSheetInfo` | `getReportSheet()` Return the report sheet
`int` | `getReportVersionNumber()` Get report version number, it indicate which version of the report is used.
`java.lang.String` | `getResult()` Return the report result.
`java.lang.String` | `getResultPath()` Get path that represent a result doc, if this ondemand report record represent a result doc.
`int` | `getResultVersionNumber()` Get the result doc version number that this ondemand report record represents.
`long` | `getStartedTime()` Return the started time of the report running.
`java.lang.String` | `getStatus()` Get report status.
`long` | `getTimeElapse()` Return time elapse in milliseconds if the report does not runs over, else return the running time.
`java.lang.String` | `getUserID()` Return the user ID.
`boolean` | `isCancelled()` Check if this ondemand report record is cancelled
`boolean` | `isCompleted()` Return if the report runs over.
`boolean` | `isTempResult()` Check if this ondemand report record represent a temp result or result doc.

Method Detail

### getUserID

    java.lang.String getUserID()

  Return the user ID.

  Returns:
    the user ID.

### getResult

    java.lang.String getResult()

  Return the report result.

  Returns:
    the report result.

### getCatalog

    java.lang.String getCatalog()

  Return the catalog.

  Returns:
    the catalog.

### getReportName

    java.lang.String getReportName()

  Return the report name.

  Returns:
    the report name.

### getReportSheet

    ReportSheetInfo getReportSheet()

  Return the report sheet

  Returns:
    the report sheet

### getParameters

    java.util.Properties getParameters()

  Return the parameter properties.

  Returns:
    the parameter properties.

### getQuery

    java.lang.String getQuery()

  Return the HTTP query for "To Applet".

  Returns:
    the HTTP query for "To Applet".

### getStartedTime

    long getStartedTime()

  Return the started time of the report running. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the started time of the report running. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### isCompleted

    boolean isCompleted()

  Return if the report runs over.

  Returns:
    if the report runs over.

### getCompletedTime

    long getCompletedTime()

  Return the completed time if the report runs over, else return -1. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the completed time if the report runs over, else return -1. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### getTimeElapse

    long getTimeElapse()

  Return time elapse in milliseconds if the report does not runs over, else return the running time.

  Returns:
    time elapse in milliseconds if the report does not runs over, else return the running time.

### getErrorMessage

    java.lang.String getErrorMessage()

  Return Error Message if the ondemand Report Running wrongly.

  Returns:
    Error Message if the ondemand Report Running wrongly

### getEngineErrors

    java.util.List getEngineErrors()

  Return Engine errors list if the ondemand Report Running wrongly.

  Returns:
    Engine errors list if the ondemand Report Running wrongly

### getCatalogVersionNumber

    int getCatalogVersionNumber()

  Get catalog version number, it indicate which version of the catalog is used.

  Returns:
    the catalog version number

### getReportVersionNumber

    int getReportVersionNumber()

  Get report version number, it indicate which version of the report is used.

  Returns:
    the report version number

### getOndemandID

    java.lang.String getOndemandID()

  Get the ondemand report record id.

  Returns:
    the ondemand report record id.

### isTempResult

    boolean isTempResult()

  Check if this ondemand report record represent a temp result or result doc.

  Returns:
    true if this ondemand report record represent a temp result

### getResultPath

    java.lang.String getResultPath()

  Get path that represent a result doc, if this ondemand report record represent a result doc.

  Returns:
    path that present result doc corresponding to this ondemand report record, or null if this ondemand report record represent a temp result

### getResultVersionNumber

    int getResultVersionNumber()

  Get the result doc version number that this ondemand report record represents.

  Returns:
    the result doc version number

### getDuration

    long getDuration()

  Get the duration of the task

  Returns:
    the duration of the task

### isCancelled

    boolean isCancelled()

  Check if this ondemand report record is cancelled

  Returns:
    true if this record is cancelled

### getStatus

    java.lang.String getStatus()

  Get report status.

  Returns:
    report status

### getFormat

    int getFormat()

  Get report format

  Returns:
    report format

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD